groups:
  - name: replicas-mismatch
    rules:
#    - alert: YaRD_KubernetesDeploymentReplicasMismatch
#      expr: kube_deployment_spec_replicas != kube_deployment_status_replicas_available
#      for: 10m
#      labels:
#        severity: critical
#      annotations:
#        summary: Kubernetes Deployment replicas mismatch (instance {{ $labels.instance }})
#        description: "Deployment Replicas mismatch\n  VALUE = {{ $value }}\n  LABELS = {{ $labels }}"
    - alert: YaRD_KubernetesDeploymentReplicasMismatch-authproxy
      expr: kube_replicaset_spec_replicas{namespace="auth-proxy"} != kube_deployment_status_replicas_available{namespace="auth-proxy"}
      for: 10m
      labels:
        severity: critical
      annotations:
        summary: Kubernetes Deployment replicas mismatch (instance {{ $labels.instance }})
        description: "Deployment Replicas mismatch\n  VALUE = {{ $value }}\n  LABELS = {{ $labels }}"